import es
from urllib import urlopen
import random

info = es.AddonInfo()
info.name        = 'Snapple'
info.version     = 'v1'
info.author      = 'Miauw Mizx'
info.url         = 'www.codymathisen.com'
info.basename    = 'mizx_snapple'
info.description = 'Prints random fun-facts from Snapple.com'

trigger = 'snapple' # Chat trigger
announce = 1 # Announce Snapple fun-facts on round_start ?

snapple = {}

# Special Thanks:
# -ojii - Helping me find and debug some issues, as well as fix up code 
#        (even though I was just too lazy to udpate it to the better one)

def load():
    es.set(info.basename, info.version)
    es.makepublic(info.basename)
    i = 0
    for line in urlopen('http://www.snapple.com/retired-facts'):
        line = line.lstrip()
        if line.startswith('<p><strong>#'):
            line = line.replace('<p>', '').replace('</p>', '').replace('<strong>', '').replace('</strong>', '').replace('&#8217;', "'").replace('&#8230;','...').replace('&#8220;', "'").replace('&#8221;', "'").replace('&amp;', '&')
            snapple[i] = line
            i += 1

def player_say(ev):
    userid = ev['userid']
    text = ev['text'].lower()
    if text == trigger.strip(' '):
        es.tell(ev['userid'], '#multi', '#green[#lightgreenSnapple#green]#default A Random #greenSnapple#default Fun-Fact:')
        es.tell(ev['userid'], random.choice(snapple))

def round_start(ev):
    if announce:
        es.msg('#multi', '#green[#lightgreenSnapple#green]#default : Snapple Fun-Facts are enabled, type #lightgreensnapple#default to see a #greenSnapple#default fun-fact!')
